<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: UIView(KOToast)分类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('category_u_i_view_07_k_o_toast_08.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> &#124;
<a href="category_u_i_view_07_k_o_toast_08-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">UIView(KOToast)分类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_u_i_view_09_k_o_toast_8h_source.html">UIView+KOToast.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:a13ee48ad84ddd4f37a7eeac9ae79e842"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_u_i_view_07_k_o_toast_08.html#a13ee48ad84ddd4f37a7eeac9ae79e842">showToastForLiveLessonLoading</a></td></tr>
<tr class="separator:a13ee48ad84ddd4f37a7eeac9ae79e842"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a67a84587388b3e60393d2012e2c5bf"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_u_i_view_07_k_o_toast_08.html#a7a67a84587388b3e60393d2012e2c5bf">showToastForErrorMessage:</a></td></tr>
<tr class="separator:a7a67a84587388b3e60393d2012e2c5bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2afa4a59bf2a2ced705efe57588cf47"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_u_i_view_07_k_o_toast_08.html#af2afa4a59bf2a2ced705efe57588cf47">showToastForSuccess:</a></td></tr>
<tr class="separator:af2afa4a59bf2a2ced705efe57588cf47"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cab42ced6cea459c2848e9d98c5e5d5"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_u_i_view_07_k_o_toast_08.html#a9cab42ced6cea459c2848e9d98c5e5d5">showToastForSuccessWithTitle:desc:</a></td></tr>
<tr class="separator:a9cab42ced6cea459c2848e9d98c5e5d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a9c233c9af21aa7548173b4ac3c70ea"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_u_i_view_07_k_o_toast_08.html#a2a9c233c9af21aa7548173b4ac3c70ea">showToastForInfo:</a></td></tr>
<tr class="separator:a2a9c233c9af21aa7548173b4ac3c70ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ac014c9af6ac92c134c161aedc339e9"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_u_i_view_07_k_o_toast_08.html#a2ac014c9af6ac92c134c161aedc339e9">showToastForError:</a></td></tr>
<tr class="separator:a2ac014c9af6ac92c134c161aedc339e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bb5c794272bb370b4dc1590d36f0fb2"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_u_i_view_07_k_o_toast_08.html#a9bb5c794272bb370b4dc1590d36f0fb2">showToastForLoading:</a></td></tr>
<tr class="separator:a9bb5c794272bb370b4dc1590d36f0fb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad292da7e1d64abaf1170aed15e3f5712"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_u_i_view_07_k_o_toast_08.html#ad292da7e1d64abaf1170aed15e3f5712">hideToast</a></td></tr>
<tr class="separator:ad292da7e1d64abaf1170aed15e3f5712"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">详细描述</h2>
<div class="textblock">
<p class="definition">在文件 <a class="el" href="_u_i_view_09_k_o_toast_8h_source.html">UIView+KOToast.h</a> 第 <a class="el" href="_u_i_view_09_k_o_toast_8h_source.html#l00012">12</a> 行定义.</p>
</div><h2 class="groupheader">函数文档</h2>
<a id="ad292da7e1d64abaf1170aed15e3f5712"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad292da7e1d64abaf1170aed15e3f5712">&#9670;&nbsp;</a></span>hideToast</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) hideToast </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>隐藏当前正在加在的提示框 </p>

<p class="definition">在文件 <a class="el" href="_u_i_view_09_k_o_toast_8m_source.html">UIView+KOToast.m</a> 第 <a class="el" href="_u_i_view_09_k_o_toast_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="a2ac014c9af6ac92c134c161aedc339e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ac014c9af6ac92c134c161aedc339e9">&#9670;&nbsp;</a></span>showToastForError:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) showToastForError: </td>
          <td></td>
          <td class="paramtype">(NSError *)&#160;</td>
          <td class="paramname"><em>error</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>显示错误信息,如果为登录错误不提示</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tr><td class="paramname">error</td><td>错误信息 </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">在文件 <a class="el" href="_u_i_view_09_k_o_toast_8m_source.html">UIView+KOToast.m</a> 第 <a class="el" href="_u_i_view_09_k_o_toast_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="a7a67a84587388b3e60393d2012e2c5bf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a67a84587388b3e60393d2012e2c5bf">&#9670;&nbsp;</a></span>showToastForErrorMessage:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) showToastForErrorMessage: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>error</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>显示错误提示框，自动隐藏</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tr><td class="paramname">error</td><td>要展示的错误信息 </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">在文件 <a class="el" href="_u_i_view_09_k_o_toast_8m_source.html">UIView+KOToast.m</a> 第 <a class="el" href="_u_i_view_09_k_o_toast_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="a2a9c233c9af21aa7548173b4ac3c70ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a9c233c9af21aa7548173b4ac3c70ea">&#9670;&nbsp;</a></span>showToastForInfo:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) showToastForInfo: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>info</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>显示纯文本提示框，自动隐藏</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tr><td class="paramname">info</td><td>要展示的文本信息 </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">在文件 <a class="el" href="_u_i_view_09_k_o_toast_8m_source.html">UIView+KOToast.m</a> 第 <a class="el" href="_u_i_view_09_k_o_toast_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="a13ee48ad84ddd4f37a7eeac9ae79e842"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13ee48ad84ddd4f37a7eeac9ae79e842">&#9670;&nbsp;</a></span>showToastForLiveLessonLoading</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) showToastForLiveLessonLoading </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>直播视频加载 调用- (void)hideToast隐藏 </p>

<p class="definition">在文件 <a class="el" href="_u_i_view_09_k_o_toast_8m_source.html">UIView+KOToast.m</a> 第 <a class="el" href="_u_i_view_09_k_o_toast_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="a9bb5c794272bb370b4dc1590d36f0fb2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9bb5c794272bb370b4dc1590d36f0fb2">&#9670;&nbsp;</a></span>showToastForLoading:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) showToastForLoading: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>loading</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>显示正在加载的提示框，调用- (void)hideToast隐藏 </p>

<p class="definition">在文件 <a class="el" href="_u_i_view_09_k_o_toast_8m_source.html">UIView+KOToast.m</a> 第 <a class="el" href="_u_i_view_09_k_o_toast_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="af2afa4a59bf2a2ced705efe57588cf47"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2afa4a59bf2a2ced705efe57588cf47">&#9670;&nbsp;</a></span>showToastForSuccess:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) showToastForSuccess: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>success</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>显示成功提示框，自动隐藏</p>
<dl class="params"><dt>参数</dt><dd>
  <table class="params">
    <tr><td class="paramname">success</td><td>要展示的成功信息 </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">在文件 <a class="el" href="_u_i_view_09_k_o_toast_8m_source.html">UIView+KOToast.m</a> 第 <a class="el" href="_u_i_view_09_k_o_toast_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<a id="a9cab42ced6cea459c2848e9d98c5e5d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cab42ced6cea459c2848e9d98c5e5d5">&#9670;&nbsp;</a></span>showToastForSuccessWithTitle:desc:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) showToastForSuccessWithTitle: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>title</em></td>
        </tr>
        <tr>
          <td class="paramkey">desc:</td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>desc</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_u_i_view_09_k_o_toast_8m_source.html">UIView+KOToast.m</a> 第 <a class="el" href="_u_i_view_09_k_o_toast_8m_source.html#l00001">1</a> 行定义.</p>

</div>
</div>
<hr/>该分类的文档由以下文件生成:<ul>
<li>XHXKit/Classes/General/Category/<a class="el" href="_u_i_view_09_k_o_toast_8h_source.html">UIView+KOToast.h</a></li>
<li>XHXKit/Classes/General/Category/<a class="el" href="_u_i_view_09_k_o_toast_8m_source.html">UIView+KOToast.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="category_u_i_view_07_k_o_toast_08.html">UIView(KOToast)</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
